.card{
    height: 300px;
    width: 200px;
    border: solid rgba(67, 66, 66, 0.874) 1px;
    border-radius: 20px;
    overflow: hidden;
    transition-property: box-shadow;
    transition-duration: 0.3s;
}
.card:hover{
    box-shadow: 0px 0px 40px rgba(255, 255, 255, 0.334);
}
.card img, .fullscr-canvas img{
    width: inherit;
    height: auto;
    border-radius: 20px;
    border: none;
    outline: none;
}
.play, .pause, #barplay{
    height: 30px;
    width: 30px;
    border-radius: 100px;
    background-color: rgb(57, 188, 125);
    border: none;
    text-align: center;
    margin-left: 5%;
}
.pause{
    display: none;
}
#barplay{
    height: 35px;
    width: 35px;
}

.player{
    display: none;
    position: sticky;
    bottom: 0;
    left: 0;
    background-color: black;
    width: 100vw;
    height: 72px;
    /* border: solid red 2px; */
}
/* .player:fullscreen+#thumbdiv{
    height: 200px;
    width: 200px;
} */
.fullscr-canvas{
    display: none;
}

.fullscr-canvas:fullscreen{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: brown;
    z-index: 30;
    display: grid;
    grid-template-columns: auto 1fr;
}
.canvas-img-container{
    height: 400px;
    width: 400px;
    margin-block: auto;
    margin-left: 10%;
    border:solid yellow 3px;
}

.playerleft{
    display: flex;
    /* border: solid white 2px; */
    flex-grow: 1;
}
.playercenter{
    /* border: solid white 2px; */
    padding-block: 5px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;

}
.historycontainer, .likedcontainer{
    display: none;
    flex-direction: column;
    /* border: solid red 2px; */
    gap: 30px;
}
#controls{
    /* border: solid blue 3px; */
    flex-grow: 3;
    display: flex;
    align-items: start;
    justify-content: center;
}
/* #progress{
    flex-grow: 1;
} */

#prev, #next{
    height: 30px;
    width: 30px;
    border-radius: 100px;
    background-color: #2d374800;
    color: white;
    font-size: 2em;
    cursor: pointer;
    /* background-color: rgb(57, 188, 125); */
    border: none;
    text-align: center;
    margin-left: 5%;
}

#progress {
    width: 100%;
    max-width: 600px;
    flex-grow: 1;
    height: fit-content;
    background: #2d3748;
    border-radius: 10px;
    /* border: 2px solid red; */
    /* margin-bottom: 15px; */
    overflow: hidden;
    margin-bottom: 5px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    position: relative;
  }

/* #progressbar{
    width: 100%;
    height: 7px;
} */



.progressbar {
    height: 100%;
    width: 0;
    background: linear-gradient(90deg, #38bdf8, #81e6d9);
    /* animation:
      fill-up 5s ease-in-out forwards,
      update-text 5s ease-in-out forwards,
      completion 5s ease-in-out forwards; */
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    top: 0%;
    left: 0;
    text-align: center;
    font-weight: bold;
    color: white;
  }

.playerright{
    /* border: solid white 2px; */
    flex-grow: 1;
    display: flex;
    justify-content: flex-end;
    align-items: center;

}

.expand{
    background-color: black;
    color: whitesmoke;
    border: none;
    outline: none;
    cursor: pointer;
    margin-right: 4%;
    font-size: 1.5em;
}
.like{
    background-color: black;
    color: whitesmoke;
    border: none;
    outline: none;
    cursor: pointer;
    margin-right: 4%;
    font-size: 1.5em;

}
.like-checkbox{
    display: none;
}
.like-checkbox:checked + .like{
    color: rgb(57, 188, 125); /* Green when checked */
}

.expand:hover{
    color: rgb(57, 188, 125);
}

#thumbdiv{
    /* border: solid white 2px; */
    height: 55px;
    width: 55px;
    margin-left: 10px;
    margin-block: auto;
    border-radius: 10px;
}
#thumb{
    width: inherit;
    height: inherit;
    border-radius: inherit;
}
#logo{
    width: 100%;
    height: auto;
}
.navels{
    font-size: 1.5em;
    margin-block-end: 15px;
    border-radius: 10px;
    transition-property: background-color;
    transition-duration: 0.5s;
    height: fit-content;
    padding-block: 15px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}
.navels:hover{
    background-color: rgb(55, 55, 55);
}
.active{
    background-color: white;
    color: black;
}
.active:hover{
    background-color: white;
    color: black;
}


.bannerthumb{
    width: inherit;
    height: auto;
    border-radius: 5px;
    border: none;
    outline: none;
}
.banner{
    height: 70px;
    width: 100%;
    border: solid rgba(205, 205, 205, 0.647) 1px;
    display: flex;
    gap: 50px;
    background-color: rgba(240, 255, 255, 0.121);
    border-radius: 10px;
    backdrop-filter: blur(25px);
    color: white;
    cursor: pointer;
    box-shadow: 2px 5px 20px rgba(255, 255, 255, 0.234);
    /* box-shadow: ; */
}
.bannerimg{
    height: 55px;
    width: 55px;
    margin-left: 10px;
    margin-block: auto;
    border-radius: 5px;
}
.bannerhead{
    margin-block: auto;
}